<?php
defined('ABSPATH') or die("No script kiddies please!");

$erp_review_form_settings = get_option('erp_submission_form_setting');
$erp_default_review_form_setting = $erp_review_form_settings['erp_submission_form_fields']; //Default form structure from option table

$form_level_array = array(
    'username' => __('Display Name', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'email' => __('Email', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'image' => __('Image', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'review_title' => __('Review Title', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'review_description' => __('Review Description', EVEREST_REVIEW_LITE_TEXT_DOMAIN), '',
    'rating' => __('Rating', EVEREST_REVIEW_LITE_TEXT_DOMAIN)
);
if ($show_hide_default_review_form_template == "show_default_review_form_template" && $load_default_review_form_template == 1) {
    $get_data_from_table = $this->erp_pull_review_form_template_by_id($ddefault_review_form_template);
    if (isset($get_data_from_table[0]) && !empty($get_data_from_table[0])) {
        foreach ($get_data_from_table as $key => $value) {
            $reviewer_template_name = $value->review_template_name;
            $reviewer_template_structure = unserialize($value->reviewer_template_structure);
            $reviewer_template_settings = unserialize($value->reviewer_template_settings);
            $review_form_setting_parameter = unserialize($value->review_form_setting_parameter);
            $erp_review_form_setting = (isset($reviewer_template_structure)) ? $reviewer_template_structure : $erp_default_review_form_setting;
            $erp_submission_form_setting = get_option('erp_submission_form_setting');
            $erp_sub_form_recaptcha_label = empty($reviewer_template_settings['erp_sub_revaptcha_label_text']) ? __('Human Check', EVEREST_REVIEW_LITE_TEXT_DOMAIN) : esc_attr($reviewer_template_settings['erp_sub_revaptcha_label_text']);
            $erp_general_error_field_text = empty($reviewer_template_settings['erp_error_field_text']) ? __('This Field is Required.', EVEREST_REVIEW_LITE_TEXT_DOMAIN) : esc_attr($reviewer_template_settings['erp_error_field_text']);
            $erp_submit_text = empty($reviewer_template_settings['erp_sub_submit_text']) ? __('Submit', EVEREST_REVIEW_LITE_TEXT_DOMAIN) : $reviewer_template_settings['erp_sub_submit_text'];
            $erp_validation_error_text = empty($reviewer_template_settings['error_validation_message']) ? __('Please Enter Valid Email Address', EVEREST_REVIEW_LITE_TEXT_DOMAIN) : $reviewer_template_settings['error_validation_message'];
            $erp_review_form_nonce = wp_create_nonce('erp_review_form_nonce');
            if (isset($reviewer_template_settings['erp_review_form_type']) && !empty($reviewer_template_settings['erp_review_form_type'])) {
                if ((isset($options['erp_review_authorization']) && $options['erp_review_authorization'] == 'only-logged-in-users' && is_user_logged_in()) || isset($options['erp_review_authorization']) && $options['erp_review_authorization'] == 'all-users') {
                    include('review-form-template/review-form-template.php');
                } else {
                    ?>
                    <span class='erp-user-submission-form-restrict'><?php echo isset($erp_review_form_setting['erp_sub_login_required']) && !empty($erp_review_form_setting['erp_sub_login_required'])?esc_attr($erp_review_form_setting['erp_sub_login_required']):__('Only logged in user can submit the form.',EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                    <?php
                }
            }
        }
    }
}
